Loading...
Searching...
No Matches
RDKit::MolStandardize::Uncharger Class Reference

The Uncharger class for neutralizing ionized acids and bases. More...

`#include <Charge.h>`

## Public Member Functions

| Uncharger ()
| Uncharger (bool canonicalOrdering)
| Uncharger (const Uncharger &other)
| ~Uncharger ()
ROMol * | uncharge (const ROMol &mol)
void | unchargeInPlace (RWMol &mol)

## Detailed Description

The Uncharger class for neutralizing ionized acids and bases.

Notes:

- This class uncharges molecules by adding and/or removing hydrogens.
  - For zwitterions, hydrogens are moved to eliminate charges where possible.
  - In cases where there is a positive charge that is not neutralizable, an attempt is made to also preserve the corresponding negative charge.

Definition at line 127 of file Charge.h.

## Constructor & Destructor Documentation

## Uncharger() [1/3]

RDKit::MolStandardize::Uncharger::Uncharger | ( |  | ) |

## Uncharger() [2/3]

RDKit::MolStandardize::Uncharger::Uncharger | ( | bool | canonicalOrdering | ) |

inline

Definition at line 130 of file Charge.h.

## Uncharger() [3/3]

RDKit::MolStandardize::Uncharger::Uncharger | ( | const Uncharger & | other | ) |

## ~Uncharger()

RDKit::MolStandardize::Uncharger::~Uncharger | ( |  | ) |

## Member Function Documentation

## uncharge()

ROMol * RDKit::MolStandardize::Uncharger::uncharge | ( | const ROMol & | mol | ) |

## unchargeInPlace()

void RDKit::MolStandardize::Uncharger::unchargeInPlace | ( | RWMol & | mol | ) |

The documentation for this class was generated from the following file:

- Charge.h